> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow execution



## OpenAPI

````yaml get /api/workflow/v1.0/customer/{customerId}/workflow/{workflowId}/WorkflowExecution/{workflowExecutionId}
openapi: 3.0.1
info:
  title: Workflow Api v1.0
  version: v1.0
servers: []
security: []
paths:
  /api/workflow/v1.0/customer/{customerId}/workflow/{workflowId}/WorkflowExecution/{workflowExecutionId}:
    get:
      tags:
        - WorkflowExecution
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: workflowId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: workflowExecutionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/WorkflowExecutionResponseResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowExecutionResponseResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/WorkflowExecutionResponseResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    WorkflowExecutionResponseResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          $ref: '#/components/schemas/WorkflowExecutionResponse'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    WorkflowExecutionResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workflowId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/WorkflowExecutionStatus'
        executionQueue:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowJob'
          nullable: true
        created:
          type: string
          format: date-time
        finished:
          type: string
          format: date-time
          nullable: true
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowTask'
          nullable: true
        tasksHierarchy:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowTaskRelationship'
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    WorkflowExecutionStatus:
      enum:
        - 1
        - 10
        - 20
        - 30
      type: integer
      format: int32
    WorkflowJob:
      type: object
      properties:
        taskId:
          type: string
          format: uuid
        jobSubjectId:
          type: string
          format: uuid
          nullable: true
        status:
          $ref: '#/components/schemas/WorkflowJobStatus'
      additionalProperties: false
    WorkflowTask:
      type: object
      properties:
        id:
          type: string
          format: uuid
        subjectId:
          type: string
          format: uuid
          nullable: true
        name:
          type: string
          nullable: true
        parameters:
          type: object
          additionalProperties: {}
          nullable: true
        type:
          $ref: '#/components/schemas/WorkflowTaskType'
        isTrigger:
          type: boolean
      additionalProperties: false
    WorkflowTaskRelationship:
      type: object
      properties:
        parent:
          type: string
          format: uuid
        child:
          type: string
          format: uuid
      additionalProperties: false
    WorkflowJobStatus:
      enum:
        - 1
        - 2
        - 10
        - 20
        - 30
      type: integer
      format: int32
    WorkflowTaskType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 8
        - 9
        - 10
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````